Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint
Class ConstraintMatch

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatch

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatch>

Direct Known Subclasses:
  BigDecimalConstraintMatch, DoubleConstraintMatch, IntConstraintMatch, LongConstraintMatch

    public abstract class ConstraintMatch

extends Object
implements Serializable, Comparable<ConstraintMatch>

See Also:
  Serialized Form

Field Summary
`protected String` | `constraintName`
`protected String` | `constraintPackage`
`protected List<Object>` | `justificationList`
`protected int` | `scoreLevel`

Constructor Summary
`protected` | `ConstraintMatch(String constraintPackage, String constraintName, int scoreLevel, List<Object> justificationList)`

Method Summary
`int` | `compareTo(ConstraintMatch other)`
`String` | `getConstraintName()`
`String` | `getConstraintPackage()`
`String` | `getIdentificationString()`
`List<Object>` | `getJustificationList()`
`int` | `getScoreLevel()`
`abstract Number` | `getWeightAsNumber()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintPackage

    protected final String constraintPackage

### constraintName

    protected final String constraintName

### scoreLevel

    protected final int scoreLevel

### justificationList

    protected final List<Object> justificationList

Constructor Detail

### ConstraintMatch

    protected ConstraintMatch(String constraintPackage,
                              String constraintName,
                              int scoreLevel,
                              List<Object> justificationList)

Method Detail

### getConstraintPackage

    public String getConstraintPackage()

### getConstraintName

    public String getConstraintName()

### getScoreLevel

    public int getScoreLevel()

### getJustificationList

    public List<Object> getJustificationList()

### getWeightAsNumber

    public abstract Number getWeightAsNumber()

### getIdentificationString

    public String getIdentificationString()

### compareTo

    public int compareTo(ConstraintMatch other)

  Specified by:
    `compareTo` in interface `Comparable<ConstraintMatch>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.